Subject: Re: bug#22887: 24.4; Bug in timeclock-day-* functions (timeclock.el)

From: Stefan Kangas <[email-masked]>
Date: Tue, 11 Aug 2020 20:44:14 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> (I'm going through old Emacs bug reports that haven't received any
> response.)
>
> Oleg Katsitadze <[email-masked]> writes:
>
>> Here's how to reproduce:
>>
>> 1. Run "emacs -Q".
>>
>> 2. Evaluate this:
>>
>>     (load-library "timeclock.el")
>>
>> 3. Create some time log entries (e.g., by clocking in/out using
>> timeclock.el).
>>
>> 4. For one of the days in ~/.emacs.d/timelog, manually add the "h"
>> entry ("time required") to override the default required time for that
>> day, e.g.:
>>
>>     h 2016/03/02 00:00:00 6
>>
>> 5. Evaluate this:
>>
>>     (timeclock-reread-log)
>>
>> 6. Evaluate this:
>>
>>     (timeclock-day-list-length (timeclock-day-alist))
>>
>> Emacs reports an error:
>>
>>     Debugger entered--Lisp error: (wrong-type-argument listp 21600.0)
>>       cadr(21600.0)
>
> I'm unable to reproduce this.  Could you supply a ~/.emacs.d/timelog
> file that displays this problem?

More information was requested, but none was given within 1 year, so I'm
closing this bug.  If this is still an issue, please reply to this email
(use "Reply to all" in your email client) and we can reopen the bug
report.

Best regards,
Stefan Kangas